Full documentation for this service is available at /documentation/restricted-service.
ValidateCampaignCode |WebMethod|
Validates a campaign code given the user context and the supplied category id. NOTE: This method is considered internal and might be changed at any time without prior notice.
Parameters
- campaignCode, Campaign code to validate
- categoryId, The category to be used in the validation context
Returns
Campaign code details and validation info
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/ValidateCampaignCode" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <ValidateCampaignCode xmlns="http://api.tradera.com"> <campaignCode>campaignCode</campaignCode> <categoryId>categoryId</categoryId> </ValidateCampaignCode> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <ValidateCampaignCodeResponse xmlns="http://api.tradera.com"> <ValidateCampaignCodeResult>Campaign code details and validation info</ValidateCampaignCodeResult> </ValidateCampaignCodeResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <ValidateCampaignCode xmlns="http://api.tradera.com"> <campaignCode>campaignCode</campaignCode> <categoryId>categoryId</categoryId> </ValidateCampaignCode> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <ValidateCampaignCodeResponse xmlns="http://api.tradera.com"> <ValidateCampaignCodeResult>Campaign code details and validation info</ValidateCampaignCodeResult> </ValidateCampaignCodeResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/RestrictedService.asmx/ValidateCampaignCode?appId=string&appKey=string&campaignCode=string&categoryId=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <ValidateCampaignCodeResult xmlns="http://api.tradera.com">Campaign code details and validation info</ValidateCampaignCodeResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/RestrictedService.asmx/ValidateCampaignCode HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&campaignCode=string&categoryId=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <ValidateCampaignCodeResult xmlns="http://api.tradera.com">Campaign code details and validation info</ValidateCampaignCodeResult>